"""
Color-related functions and data structures.
"""
from .color_types import AColor, Color, ColorPair, ColorTheme
from .colors import (
    ABLACK,
    ABLUE,
    ACYAN,
    AGREEN,
    AMAGENTA,
    ARED,
    AWHITE,
    AYELLOW,
    BLACK,
    BLACK_ON_BLACK,
    BLUE,
    CYAN,
    DEFAULT_COLOR_THEME,
    GREEN,
    MAGENTA,
    RED,
    TRANSPARENT,
    WHITE,
    WHITE_ON_BLACK,
    YELLOW,
    Neptune,
)
from .gradients import gradient, lerp_colors, rainbow_gradient

__all__ = [
    "ABLACK",
    "ABLUE",
    "ACYAN",
    "AGREEN",
    "AMAGENTA",
    "ARED",
    "AWHITE",
    "AYELLOW",
    "BLACK",
    "BLACK_ON_BLACK",
    "BLUE",
    "CYAN",
    "DEFAULT_COLOR_THEME",
    "GREEN",
    "MAGENTA",
    "RED",
    "TRANSPARENT",
    "WHITE",
    "WHITE_ON_BLACK",
    "YELLOW",
    "AColor",
    "Color",
    "ColorPair",
    "ColorTheme",
    "Neptune",
    "gradient",
    "lerp_colors",
    "rainbow_gradient",
]
